#! /bin/csh

mkdir -p include; 
cd include;
if ( ! -l TMVA ) then
    ln -s ../src TMVA
endif
cd -

cd macros;
if ( ! -l tmva_example.root ) then
    ln -s ../examples/data/toy_sigbkg.root tmva_example.root
endif
cd -

# check Root environment setup
if !($?ROOTSYS) then
  echo "Warning: Root environment (ROOTSYS) not yet defined. Please do so! "
endif

# On MacOS X $DYLD_LIBRARY_PATH has to be modified, so:
if ( `root-config --platform` == "macosx" ) then

    if ($?DYLD_LIBRARY_PATH) then
        setenv DYLD_LIBRARY_PATH ${DYLD_LIBRARY_PATH}:$PWD/lib
    else 
        setenv DYLD_LIBRARY_PATH $PWD/lib
        echo "Warning: so far you haven't setup your ROOT enviroment properly (no DYLD_LIBRARY_PATH): TMVA will not work"
    endif

else if ( `root-config --platform` == "solaris" ) then

    if ($?LD_LIBRARY_PATH) then
        setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:$PWD/lib
    else 
        setenv LD_LIBRARY_PATH $PWD/lib
    endif

else

    # The ROOTSYS/lib may be set in a LD_LIBRARY_PATH or using ld.so
    grep -q `echo $ROOTSYS/lib /etc/ld.so.cache`
    set root_in_ld = $status
    if ($?LD_LIBRARY_PATH) then
        setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:$PWD/lib
    else 
    setenv LD_LIBRARY_PATH $PWD/lib
        if ( ${root_in_ld} == 1 ) then
            echo "Warning: so far you haven't setup your ROOT enviroment properly (no LD_LIBRARY_PATH or entry in ld.so.cache): TMVA will not work"
        endif
    endif

endif

# prepare for PyROOT

if ($?PYTHONPATH) then
  setenv PYTHONPATH ${PYTHONPATH}:$ROOTSYS/lib
else
  setenv PYTHONPATH $ROOTSYS/lib
endif
