#! /bin/sh

mkdir -p include; 
cd include;
if [ ! -h TMVA ]; then ln -s ../src TMVA; fi;
cd ..

cd macros;
if [ ! -h tmva_example.root ]; then ln -s ../examples/data/toy_sigbkg.root tmva_example.root; fi
cd ..


# check Root environment setup
if [ ! $ROOTSYS ]; then
  echo "Warning: Root environment (ROOTSYS) not yet defined. Please do so! "
fi

# On MacOS X $DYLD_LIBRARY_PATH has to be modified, so:
if [[ `root-config --platform` == "macosx" ]]; then

    if [ ! $DYLD_LIBRARY_PATH ]; then
	echo "Warning: so far you haven't setup your ROOT enviroment properly (no DYLD_LIBRARY_PATH): TMVA will not work"
    fi
    export DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH}:$PWD/lib

else
    grep -q `echo $ROOTSYS/lib` /etc/ld.so.cache
    root_in_ld=$?
    if [ ! $LD_LIBRARY_PATH ]; then
        if [ $root_in_ld -ne 0 ]; then
            echo "Warning: so far you haven't setup your ROOT enviroment properly (no LD_LIBRARY_PATH): TMVA will not work"
        fi
    fi
    export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:$PWD/lib

fi

# prepare for PyROOT
export PYTHONPATH=$ROOTSYS/lib:$PYTHONPATH

